<section id="memberloginMain">
  <div class="container">
    <div class="row">
      <div class="col-xs-12">

        <div class="maincredentialsarea">
          <div class="clearfix"></div>

          <div class="leftmemberarea">
            <div class="membertitles">
              <h2>Login</h2>
            </div>

            <form class="formwrap" [formGroup]="loginForm" (ngSubmit)="login()">
              <div class="form-element">
                <input type="text" name="email" class="form-control personicon" placeholder="Username"
                       formControlName="email">
                <div class="help-block" *ngIf="loginFormSubmit">
                  <div *ngIf="f.email.errors?.required">Please enter email address.</div>
                  <div *ngIf="f.email.errors?.email">Email must be a valid email address.</div>
                </div>
              </div>
              <div class="form-element">
                <input type="password" name="password" class="form-control lockicon" placeholder="Password"
                       formControlName="password">
                <div class="help-block" *ngIf="loginFormSubmit">
                  <div *ngIf="f.password.errors?.required">Please enter password.</div>
                  <div *ngIf="f.password.errors?.minlength">Password must be at least 8 characters.</div>
                </div>
              </div>
              <div class="form-element">
                <div class="row">
                  <div class="col-sm-6">
                    <label for="user" class="custom-check-box"> User
                      <input id="user"  type="radio" name="userType" value="user" formControlName="userType">
                      <span class="checkmark"></span>
                    </label>
                  </div>

                  <div class="col-xs-6">
                    <label for="contractor" class="custom-check-box"> Contractor
                      <input id="contractor" type="radio" name="userType" value="contractor" formControlName="userType">
                      <span class="checkmark"></span>
                    </label>
                  </div>
                </div>
              </div>
              <div class="form-element">
                <input type="submit" class="form-sumbit-orange margintop20" value="Login">
              </div>
            </form>
            <div class="lodingthroughscailwrap" *ngIf="f.userType.value === 'user'">
              <a [routerLink]="[]" class="socilbtn go" (click)="socialLogin('go')">
                <img src="../assets/images/google.png" alt="">
                login with google
              </a>
              <a [routerLink]="[]" class="socilbtn fb" (click)="socialLogin('fb')">
                <img src="../assets/images/fb.png" alt="">
                login with facebook
              </a>
            </div>

            <div class="row">
              <div class="memberfortarea">
                <div class="col-xs-8">
                  <p>
                    <!--<a href="" class="orangetxt">Forget Password?</a>-->
                    Don't have an account ?
                  </p>
                </div>
                <div class="col-xs-4">
                  <p>
                    <a class="blakcolor register-cursor" (click)="register()">Register</a>
                  </p>
                </div>
              </div>
            </div>
          </div>
          <div class="rightmemberarea">
            <div class="membertitles">
              <h1 class="orangetxt">your professional</h1>
              <h2>handy arrives</h2>
            </div>
            <div class="memberrightimage memberloginwrap">
              <img src="../assets/images/login_img.png" alt="">
            </div>
          </div>

          <div class="clearfix"></div>

        </div>

      </div>
    </div>
  </div>

</section>
